Package jakarta.annotation

## Annotation Type Generated

-     @Documented
      @Target({ANNOTATION_TYPE,CONSTRUCTOR,FIELD,LOCAL_VARIABLE,METHOD,PACKAGE,PARAMETER,TYPE})
      @Retention(SOURCE)
      public @interface Generated

  Used to identify generated code.
  Since:
    Common Annotations 1.0

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element | Description
    --- | --- | ---
    `java.lang.String[]` | `value` |

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `java.lang.String` | `comments` |
    `java.lang.String` | `date` |

- - ### Element Detail

    - #### value

          java.lang.String[] value

      Returns:
        The name of the code generator. It is recommended that the fully qualified name of the code generator is used.

  - - #### date

          java.lang.String date

      Returns:
        The date the code was generated
      Default:
        ""

  - - #### comments

          java.lang.String comments

      Returns:
        Additional comments (if any) related to the code generation
      Default:
        ""